#
# File: windows/winexe.mk
# Creator: George Ferguson
# Created: Tue Jul  6 13:26:41 2010
# Time-stamp: <Tue Jul  6 14:07:13 EDT 2010 ferguson>
#

JAR_FULLPATH     = $(PROJECT_ROOT)/$(JARFILE)
MAIN_CLASS       = $(PROJECT_PACKAGE).browser.BrowserWindows
ICON_FULLPATH    = $(PROJECT_ROOT)/windows/URCSWordNetBrowser.ico
SPLASH_FULLPATH  = $(PROJECT_ROOT)/edu/rochester/cs/WordNet/browser/URCSWordNetBrowser-splash.bmp
MIN_JAVA_VERSION = 1.6.0
MAX_JAVA_VERSION =

LAUNCH4J_INPUT   = urcswnb.launch4j.xml

exe: $(LAUNCH4J_INPUT)
	(cd launch4j; ./launch4j ../$(LAUNCH4J_INPUT))

$(LAUNCH4J_INPUT): $(LAUNCH4J_INPUT).in Makefile winexe.mk
	sed -e 's|@JAR@|$(JAR_FULLPATH)|' \
	    -e 's|@OUTFILE@|$(EXE_FILENAME)|' \
	    -e 's|@ICON@|$(ICON_FULLPATH)|' \
	    -e 's|@MAIN_CLASS@|$(MAIN_CLASS)|' \
	    -e 's|@CLASSPATH@@|$(JARFILE)|' \
	    -e 's|@SPLASH@|$(SPLASH_FULLPATH)|' \
	    -e 's|@MIN_JAVA_VERSION@|$(MIN_JAVA_VERSION)|' \
	    -e 's|@MAX_JAVA_VERSION@|$(MAX_JAVA_VERSION)|' \
	    $< >$@

clean::
	rm -f '$(EXE_FILENAME)' $(LAUNCH4J_INPUT)
